Autor Tema: PixieScript v2.6.3 (Testing), ataque automatizado Pixie Dust Attack  (Leído 453596 veces)

0 Usuarios y 1 Visitante están viendo este tema.

EUSKOGUDARI

  • Visitante
Re: PixieScript v2.6.3 (Testing), ataque automatizado Pixie Dust Attack
« Respuesta #560 en: 01-08-2015, 02:20 (Sábado) »
buenas . estaria muy interesado en instalar la aplicacion en ubuntu 14.04 , alguien lo ha conseguido y me puede ayudar?
con los comandos facilitados para la instalacion:

la 2.6.3 me lanza mensaje de dependencia gtkdialog , he intalado la 8.0.4 y aun asi siempre aparece la carencia de esa dependencia al intentar instalar.

la 2.5 me llegó mas lejos:

la he conseguido instalar , se ha acoplado en el menu incluso , pero no consigo ejecutarla , no responde al doble click , a traves del terminal habria algun comando para ello? con fedding bottle me pasa igual , unicamente puedo ejecutar desde terminal


« Última modificación: 01-08-2015, 02:39 (Sábado) por EUSKOGUDARI »

5.1

  • Visitante
Re: PixieScript v2.6.3 (Testing), ataque automatizado Pixie Dust Attack
« Respuesta #561 en: 01-08-2015, 09:39 (Sábado) »
@EUSKOGUDARI, prueba esto :

ESTO ES PARA KALI LINUX, DESCONOZCO SI EN OTRAS DISTROS SERIA LA SOLUCION

Lo primero instalar dependencias necesarias (todo lo vamos a hacer desde la terminal)
Código: [Seleccionar]
apt-get install intltool libpcap0.8-dev libsqlite3-dev libxmu-headers libxmu-dev

A continuación descargamos programas necesarios
Código: [Seleccionar]
wget https://gtkdialog.googlecode.com/files/gtkdialog-0.8.3.tar.gz
wget http://downloads.sourceforge.net/project/pixiescript/PixieScript_v2.6.3.tar.gz
wget http://sourceforge.net/projects/yad-dialog/files/yad-0.28.1.tar.xz

Una vez descargados, descomprimimos
Código: [Seleccionar]
tar xvzf gtkdialog-0.8.3.tar.gz
tar xf yad-0.28.1.tar.xz
tar xvzf PixieScript_v2.6.3.tar.gz

Bien, vamos a instalar gtkdialod
Código: [Seleccionar]
cd gtkdialog-0.8.3/
./configure
make
make install

Ahora instalamos yad
Código: [Seleccionar]
cd ..
cd yad-0.28.1/
./configure
make
make install

Ahora desde la consola
Código: [Seleccionar]
dpkg-reconfigure dash
Te hará una pregunta, contestas que NO

Y ahora ...
Código: [Seleccionar]
cd ..
cd PixieScript_v2.6.3/
chmod +x INSTALADOR
./INSTALADOR

Y listo, ya te debería de iniciar 
NOTA : Si te dan problemas algún script por haber hecho el dpkg-reconfigure , simplemente volviendolo a hacer y diciendo que SI, dejamos todo como estaba.

Suerte y ya dirás ...

EUSKOGUDARI

  • Visitante
Re: PixieScript v2.6.3 (Testing), ataque automatizado Pixie Dust Attack
« Respuesta #562 en: 01-08-2015, 17:31 (Sábado) »
leyendo un poco he conseguido lanzar el 2.5 con la ruta del directorio mas :

sudo bash PixieScript

con lo que me ha costado hacerlo funcionar me recomiendas intentar instalar la 2.6.3 ? jaja .

el tema es que compilando gtkdialog como indicas o como dice san google me tira error al intentar con make ... he probado con repositorios ya compilados en formato deb pero nada, me reclama la dependencia siempre..

pd:gracias por el interes voy a probar la 2.5

mi gozo en un pozo ... continuamente al ejecutar el modo monitor y pasar el tiempo de captura , aparece el mensaje de no se han encontrado redes con wps activo .. entiendo que el programa se esta ejecutando mal o no habra ningun router al que poder realizar la auditoria? Estas me encuentra con wifite



« Última modificación: 01-08-2015, 19:25 (Sábado) por EUSKOGUDARI »

EUSKOGUDARI

  • Visitante
Re: PixieScript v2.6.3 (Testing), ataque automatizado Pixie Dust Attack
« Respuesta #563 en: 01-08-2015, 20:51 (Sábado) »
Bueno solucionado he instalada ultima version en lubuntu 14.04 con los comandos que me has pasado . me daba problemas con la dependencia gtkdialog , pero al final de tanto trastear imagino que alguna libreria lo habra hecho por mi ..

ya funciona el modo monitor y el programa audita como debe . tengo que ejecutarlo desde la terminal pero es un mal menor , ya me creare un ejecutable para atajar . Os voy comentando como funciona . Gracias
« Última modificación: 02-08-2015, 12:23 (Domingo) por EUSKOGUDARI »

cesar14

  • Visitante
Re: PixieScript v2.6.3 (Testing), ataque automatizado Pixie Dust Attack
« Respuesta #564 en: 02-08-2015, 18:39 (Domingo) »
Hola amigos del foro, es posible que alguien le ayude con algunas renovaciones para pixiescript que puede descubrir el pin en los routers de la marca TP LINK 720N - 740N y otros, porque vi que lamentablemente niguém dijo nada acerca de estos routers hasta el momento,
Yo sería feliz con un poco de ayuda, sinceramente Cesar14 ??? :D
« Última modificación: 02-08-2015, 18:41 (Domingo) por cesar14 »

5.1

  • Visitante
Re: PixieScript v2.6.3 (Testing), ataque automatizado Pixie Dust Attack
« Respuesta #565 en: 02-08-2015, 20:49 (Domingo) »
Hola amigos del foro, esta es mi primera visita y ayudarían en relación con el uso de la herramienta pixiescript, que es un excelente guión.
En Brasil la mayoría de los routers son los modelos tl-wr fabricante TP LINK DE 720N - 740N y otros; y no son vulnerables a los ataques pixiescript.
Es posible ver cualquier violación de la seguridad de estos routers.
Sinceramente, Cesar14. >:( >:( >:(
Lo siento por los errores en español porque estoy utilizando el traductor de google para ayudar.

Hola amigos del foro, es posible que alguien le ayude con algunas renovaciones para pixiescript que puede descubrir el pin en los routers de la marca TP LINK 720N - 740N y otros, porque vi que lamentablemente niguém dijo nada acerca de estos routers hasta el momento,
Yo sería feliz con un poco de ayuda, sinceramente Cesar14 ??? :D

Lo siento, pero no entiendo que quieres

Desconectado USUARIONUEVO

  • Colaborador
  • *
  • Mensajes: 15450
Re: PixieScript v2.6.3 (Testing), ataque automatizado Pixie Dust Attack
« Respuesta #566 en: 02-08-2015, 21:10 (Domingo) »
quiere que "por arte de magia" ,el ataque afecte a los routers que al le parezcan  ;D

5.1

  • Visitante
Re: PixieScript v2.6.3 (Testing), ataque automatizado Pixie Dust Attack
« Respuesta #567 en: 02-08-2015, 21:44 (Domingo) »
quiere que "por arte de magia" ,el ataque afecte a los routers que al le parezcan  ;D

Mola, en la próxima versión le pongo un botón para hackear facebook y otro para leer el whatsapp de la novia. fácil ...

Desconectado USUARIONUEVO

  • Colaborador
  • *
  • Mensajes: 15450
Re: PixieScript v2.6.3 (Testing), ataque automatizado Pixie Dust Attack
« Respuesta #568 en: 02-08-2015, 22:48 (Domingo) »
quiere que "por arte de magia" ,el ataque afecte a los routers que al le parezcan  ;D

Mola, en la próxima versión le pongo un botón para hackear facebook y otro para leer el whatsapp de la novia. fácil ...

no t olvides el de hackear cuentas de youtube   ;D

DOUAT

  • Visitante
Re: PixieScript v2.6.3 (Testing), ataque automatizado Pixie Dust Attack
« Respuesta #569 en: 04-08-2015, 06:19 (Martes) »
PixieScript

No Vulnerables

MARCA------------------MODELO-----------MAC------------PIN--------------PROGRAMA

linksys----------------WRT120N68--------7F:74:E3-------------------------PixieScript 2.6.3
Pegatron-------------------------------------70:71:BC------------------------PixieScript 2.6.3
Pegatron-------------------------------------7C:05:07------------------------PixieScript 2.6.3
Cisco-Linksys----------WRT12N-----------68:7F:74-------77396310-----Geminis Auditor 1.2
ARRIS----------------------------------------64:55:B1------------------------PixieScript 2.6.3
TP-LINK----------------TL-WR741N--------B0:48:7A------------------------PixieScript 2.6.3
TP-LINK----------------TL-WR740N--------C4:6E:1F------------------------PixieScript 2.6.3
TP-LINK----------------TL-WR841N--------64:66:B3------------------------PixieScript 2.6.3
TP-LINK----------------TL-WR740N--------94:0C:6D------------------------PixieScript 2.6.3
Broadcom------------------------------------D0:7A:B5------------------------PixieScript 2.6.3                           

Si Vulnerables

MARCA------------------MODELO-----------MAC------------PROGRAMA

TP-LINK----------------TL-WR1042N----C4:6E:1F-------PixieScript 2.6.3
Belkin International---NW F5D8236---94:44:52-------PixieScript 2.6.3
Huawei Tecnologies-----------------------88:E3:AB-------PixieScript 2.4
Ralink Wireless---------RT2860----------B0:46:FC-------PixieScript 2.6.3
Ralink Wireless---------RT2860----------1C:7E:E5-------PixieScript 2.6.3
Ralink Wireless---------RT2860----------88:E3:AB-------PixieScript 2.6.3
ARRIS-------------------TG862G----------BC:CA:B5-------PixieScript 2.6.3
ARRIS-------------------TG862G----------8C:09:F4-------PixieScript 2.6.3
ARRIS-------------------TG862G----------90:0D:CB-------PixieScript 2.6.3
ARRIS-------------------TG862G----------14:AB:F0-------PixieScript 2.6.3
ARRIS-------------------TG862G----------00:AC:E0-------PixieScript 2.6.3
ARRIS-------------------TG862G----------90:C7:92-------PixieScript 2.6.3
ARRIS-------------------TG862G----------90:1A:CA-------PixieScript 2.6.3
ARRIS-------------------TG862G----------94:87:7C-------PixieScript 2.6.3
ARRIS---------------------------------------14:CF:E2-------PixieScript 2.4

5.1

  • Visitante
Re: PixieScript v2.6.3 (Testing), ataque automatizado Pixie Dust Attack
« Respuesta #570 en: 04-08-2015, 12:11 (Martes) »
DOUAT, te acabo de borrar los dos post que has publicado, anteriormente ya te borraron otro por la misma razón, no puedes poner datos de redes ajenas en el foro... leete las normas para la próxima vez

PixieScript

No Vulnerables

MARCA------------------MODELO-----------MAC------------PIN--------------PROGRAMA

linksys----------------WRT120N68--------7F:74:E3-------------------------PixieScript 2.6.3
Pegatron-------------------------------------70:71:BC------------------------PixieScript 2.6.3
Pegatron-------------------------------------7C:05:07------------------------PixieScript 2.6.3
Cisco-Linksys----------WRT12N-----------68:7F:74-------77396310-----Geminis Auditor 1.2
ARRIS----------------------------------------64:55:B1------------------------PixieScript 2.6.3
TP-LINK----------------TL-WR741N--------B0:48:7A------------------------PixieScript 2.6.3
TP-LINK----------------TL-WR740N--------C4:6E:1F------------------------PixieScript 2.6.3
TP-LINK----------------TL-WR841N--------64:66:B3------------------------PixieScript 2.6.3
TP-LINK----------------TL-WR740N--------94:0C:6D------------------------PixieScript 2.6.3
Broadcom------------------------------------D0:7A:B5------------------------PixieScript 2.6.3                           

Si Vulnerables

MARCA------------------MODELO-----------MAC------------PROGRAMA

TP-LINK----------------TL-WR1042N----C4:6E:1F-------PixieScript 2.6.3
Belkin International---NW F5D8236---94:44:52-------PixieScript 2.6.3
Huawei Tecnologies-----------------------88:E3:AB-------PixieScript 2.4
Ralink Wireless---------RT2860----------B0:46:FC-------PixieScript 2.6.3
Ralink Wireless---------RT2860----------1C:7E:E5-------PixieScript 2.6.3
Ralink Wireless---------RT2860----------88:E3:AB-------PixieScript 2.6.3
ARRIS-------------------TG862G----------BC:CA:B5-------PixieScript 2.6.3
ARRIS-------------------TG862G----------8C:09:F4-------PixieScript 2.6.3
ARRIS-------------------TG862G----------90:0D:CB-------PixieScript 2.6.3
ARRIS-------------------TG862G----------14:AB:F0-------PixieScript 2.6.3
ARRIS-------------------TG862G----------00:AC:E0-------PixieScript 2.6.3
ARRIS-------------------TG862G----------90:C7:92-------PixieScript 2.6.3
ARRIS-------------------TG862G----------90:1A:CA-------PixieScript 2.6.3
ARRIS-------------------TG862G----------94:87:7C-------PixieScript 2.6.3
ARRIS---------------------------------------14:CF:E2-------PixieScript 2.4


Ahora sí  ....  >:(

rubioxp

  • Visitante
Re: PixieScript v2.6.3 (Testing), ataque automatizado Pixie Dust Attack
« Respuesta #571 en: 16-09-2015, 14:11 (Miércoles) »
Otro ap afectado 28:5F:DB 

mcguti

  • Visitante
Re: PixieScript v2.6.3 (Testing), ataque automatizado Pixie Dust Attack
« Respuesta #572 en: 27-10-2015, 23:50 (Martes) »
@EUSKOGUDARI, prueba esto :

ESTO ES PARA KALI LINUX, DESCONOZCO SI EN OTRAS DISTROS SERIA LA SOLUCION

Lo primero instalar dependencias necesarias (todo lo vamos a hacer desde la terminal)
Código: [Seleccionar]
apt-get install intltool libpcap0.8-dev libsqlite3-dev libxmu-headers libxmu-dev

A continuación descargamos programas necesarios
Código: [Seleccionar]
wget https://gtkdialog.googlecode.com/files/gtkdialog-0.8.3.tar.gz
wget http://downloads.sourceforge.net/project/pixiescript/PixieScript_v2.6.3.tar.gz
wget http://sourceforge.net/projects/yad-dialog/files/yad-0.28.1.tar.xz

Una vez descargados, descomprimimos
Código: [Seleccionar]
tar xvzf gtkdialog-0.8.3.tar.gz
tar xf yad-0.28.1.tar.xz
tar xvzf PixieScript_v2.6.3.tar.gz

Bien, vamos a instalar gtkdialod
Código: [Seleccionar]
cd gtkdialog-0.8.3/
./configure
make
make install

Ahora instalamos yad
Código: [Seleccionar]
cd ..
cd yad-0.28.1/
./configure
make
make install

Ahora desde la consola
Código: [Seleccionar]
dpkg-reconfigure dash
Te hará una pregunta, contestas que NO

Y ahora ...
Código: [Seleccionar]
cd ..
cd PixieScript_v2.6.3/
chmod +x INSTALADOR
./INSTALADOR

Y listo, ya te debería de iniciar 
NOTA : Si te dan problemas algún script por haber hecho el dpkg-reconfigure , simplemente volviendolo a hacer y diciendo que SI, dejamos todo como estaba.

Suerte y ya dirás ...

Una consulta esto funciona para Ubuntu..

raymundoc.vela

  • Visitante
Error instalando PixieScript v2.6.3 - mv: cannot stat COMPILANDO_PIXIEWPS
« Respuesta #573 en: 18-11-2015, 11:37 (Miércoles) »
@EUSKOGUDARI, prueba esto :

ESTO ES PARA KALI LINUX, DESCONOZCO SI EN OTRAS DISTROS SERIA LA SOLUCION

Lo primero instalar dependencias necesarias (todo lo vamos a hacer desde la terminal)
Código: [Seleccionar]
apt-get install intltool libpcap0.8-dev libsqlite3-dev libxmu-headers libxmu-dev

A continuación descargamos programas necesarios
Código: [Seleccionar]
wget https://gtkdialog.googlecode.com/files/gtkdialog-0.8.3.tar.gz
wget http://downloads.sourceforge.net/project/pixiescript/PixieScript_v2.6.3.tar.gz
wget http://sourceforge.net/projects/yad-dialog/files/yad-0.28.1.tar.xz

Una vez descargados, descomprimimos
Código: [Seleccionar]
tar xvzf gtkdialog-0.8.3.tar.gz
tar xf yad-0.28.1.tar.xz
tar xvzf PixieScript_v2.6.3.tar.gz

Bien, vamos a instalar gtkdialod
Código: [Seleccionar]
cd gtkdialog-0.8.3/
./configure
make
make install

Ahora instalamos yad
Código: [Seleccionar]
cd ..
cd yad-0.28.1/
./configure
make
make install

Ahora desde la consola
Código: [Seleccionar]
dpkg-reconfigure dash
Te hará una pregunta, contestas que NO

Y ahora ...
Código: [Seleccionar]
cd ..
cd PixieScript_v2.6.3/
chmod +x INSTALADOR
./INSTALADOR

Y listo, ya te debería de iniciar 
NOTA : Si te dan problemas algún script por haber hecho el dpkg-reconfigure , simplemente volviendolo a hacer y diciendo que SI, dejamos todo como estaba.

Suerte y ya dirás ...
Primeramente gracias y felicitaciones por todo este trabajo.

Uso Kali Linux 2.0 amd 64, al seguir tus instrucciones obtengo un error en el ultimo paso:
./INSTALADOR


Código: [Seleccionar]
cd ..
cd PixieScript_v2.6.3/
chmod +x INSTALADOR
./INSTALADOR

La Salida es la siguiente:

Código: [Seleccionar]
root@kali:~/Desktop/PixieScript_v2.6.3# ./INSTALADOR

DEPENDENCIAS GLOBALES

COMPROBANDO DEPENDENCIA GTKDIALOG .... OK
COMPROBANDO DEPENDENCIA YAD .......... OK
COMPROBANDO DEPENDENCIA AIRCRACK-NG... OK
COMPROBANDO DEPENDENCIA CURL ......... OK
COMPROBANDO DEPENDENCIA MACCHANGER ... OK
COMPROBANDO DEPENDENCIA gksudo ....... OK


HERRAMIENTAS

COMPROBANDO DEPENDENCIA MOD_REAVER ... FALTA
        DESCARGANDO REAVER, ESPERA ... OK
        APLICANDO PARCHE REAVER ...... OK
        COMPILANDO REAVER, ESPERA .... OK
        LIMPIANDO .................... OK
COMPROBANDO DEPENDENCIA PIXIEWPS ..... FALTA
        DESCARGANDO PIXIEWPS, ESPERA . OK
        APLICANDO PARCHE PIXIEWS ..... OK
        INSTALANDO PIXIEWPS .......... ERROR, CONSULTA EL ARCHIVO COMPILANDO_PIXIEWPS
mv: cannot stat ‘COMPILANDO_PIXIEWPS’: No such file or directory



Me he metido un poco al codigo, y puedo ver que:

-Descarga el master.zip
-Lo descomprime
-Aplica el parche a PIXIEWPS
(Por cierto hay un error de dedo en la linea 160, tiene APLICANDO PARCHE PIXIEWS y debe ser  APLICANDO PARCHE PIXIEWPS)
- Pero no esta el archivo COMPILANDO_PIXIEWPS, por lo que el proceso se ve interrupido.

Ah alguien mas le ha sucedido?? de donde puedo otener el archivo COMPILANDO_PIXIEWPS .
Saludos!

TheRoot

  • Visitante
Re: PixieScript v2.6.3 (Testing), ataque automatizado Pixie Dust Attack
« Respuesta #574 en: 13-01-2016, 17:41 (Miércoles) »
Saludos a todos los foristas,

Este es mi primer post y ya vengo con una duda, ejecute PixieScript (la version Beta que viene con interface grafica)

MODERADO


Gracias,
« Última modificación: 13-01-2016, 18:39 (Miércoles) por sanson »

semola

  • Visitante
Re: PixieScript v2.6.3 (Testing), ataque automatizado Pixie Dust Attack
« Respuesta #575 en: 13-01-2016, 18:10 (Miércoles) »
Duraras menos que el tiro de una escopeta con esa pregunta, esa es mi humilde opinión!!

TheRoot

  • Visitante
Re: PixieScript v2.6.3 (Testing), ataque automatizado Pixie Dust Attack
« Respuesta #576 en: 13-01-2016, 18:22 (Miércoles) »
Duraras menos que el tiro de una escopeta con esa pregunta, esa es mi humilde opinión!!

Ojo, estoy haciendo la pregunta de buena fe, he visto varios router y me he podido conectar a casi todos, pero este en especial debe tener alguna protección o configuración y es lo que deseo saber.

Si fuese para otra cosa, ya tendria varias conexiones a mi disposición y ya no me haria problemas, lo que deseo es saber en que parte fallo este ataque, no me malinterpreten, para poder saber mas de esta vulnerabilidad que dicho sea de paso al parecer abundan los routers con dicho fallo (tengo 5 ya detectados en un solo dia).

Saludos,

Desconectado sanson

  • Moderador Global
  • *
  • Mensajes: 8404
Re: PixieScript v2.6.3 (Testing), ataque automatizado Pixie Dust Attack
« Respuesta #577 en: 13-01-2016, 18:38 (Miércoles) »
hola

@TheRoot

por estudio, con maldad o sin ella.

Es ilegal auditar una red de la que no se possen los pertinentes permiso y en este foro NO DAMOS SOPORTE NI AL ATAQUE, NI AL USO DE REDES AJENAS.

https://foro.seguridadwireless.net/foro-libre-offtopic/normas-del-foro-20453/

por tanto voy a borrar el contenido de tus mensajes, ya que no quedad claro el uso que haces de nuestras herramientas.


saludos

pd.  tomate este aviso como un toque de atención importante, por un poco no se ha borrado tu cuenta. Somos extremadamente escrupulosos con el cumplimiento  de nuestras políticas
« Última modificación: 13-01-2016, 18:39 (Miércoles) por sanson »

Desconectado USUARIONUEVO

  • Colaborador
  • *
  • Mensajes: 15450
Re: PixieScript v2.6.3 (Testing), ataque automatizado Pixie Dust Attack
« Respuesta #578 en: 13-01-2016, 18:42 (Miércoles) »
he visto varios router y me he podido conectar a casi todos

TheRoot

  • Visitante
Re: PixieScript v2.6.3 (Testing), ataque automatizado Pixie Dust Attack
« Respuesta #579 en: 15-01-2016, 14:48 (Viernes) »
hola

@TheRoot

por estudio, con maldad o sin ella.

Es ilegal auditar una red de la que no se possen los pertinentes permiso y en este foro NO DAMOS SOPORTE NI AL ATAQUE, NI AL USO DE REDES AJENAS.

https://foro.seguridadwireless.net/foro-libre-offtopic/normas-del-foro-20453/

por tanto voy a borrar el contenido de tus mensajes, ya que no quedad claro el uso que haces de nuestras herramientas.


saludos

pd.  tomate este aviso como un toque de atención importante, por un poco no se ha borrado tu cuenta. Somos extremadamente escrupulosos con el cumplimiento  de nuestras políticas

Ok las disculpas del caso, pero aun sigo con la duda, quisa si planteo mi duda de otra forma (no quiero soluciones para entrar a redes que no me pertenecen y si esta nueva repregunta sigue contraviniendo las normas del foro entonces estoy totalmente deacuerdo en que la borren)

Aca va la pregunta:

Si con PixieScript obtengo el PIN WPS mas no la clave WAP ¿significa que el modelo del router no es vulnerable (aunque al ya tener el PIN WPS me parece que si lo es)? o es que ¿el router en particular ha parchado dicha vulnerabilidad usando otros mecanismos (por ejemplo filtro MAC)?.

Gracias nuevamente.